Developer: Michat Komar Tester: Wojtek Hury
Description

Obecnie komponenty nie odrejestrowujg swoich callbackéw z brokera (doktadniej z DocumentEventService, kidry z kolei rejestruje
callback w BrokerService). W czasie dziatania aplikacji moze powstaé wiecej niz jeden EditDocumentComponent i pojawiajg sie
problemy zwigzane z wywotywaniem callbackéw starych komponentéw.
Sposdb odtworzenia:

- wejscie na ekran edycji

- nacisnigcie "Zapisz" dziata poprawnie

- wejécie na ekran administracji uzytkownikami

- powrét do ekranu domowego

- ponowne wejscie na ekran edycji

- nacisnigcie "Zapisz" pozornie dziata, ale juz wywotywane sg dwa callbacki

Jesli w miedzyczasie nastgpi roztgczenie sesji po stronie serwera (nawet bez potrzeby przejscia przez ekran logowania), to 'stary’
callback bedzie rozpoznawat zmiany dokonane na ekranie edycji jako zmiany innego uzytkownika i pokazywat snackbar z
ostrzezeniem. Zeby doprowadzié do roztaczenia sesji wystarczy przytrzymadé dtuzej przegladarke na typescriptowym breakpoincie.

Associated revisions

Revision af9d1496 - 2017-08-21 12:15 - Michat Komar

refs #1806: Obstuga unsubscribe. Refaktoring broker-service

History

#1 - 2017-08-18 16:09 - Wojtek Hury

- Description updated

#2 - 2017-08-18 16:09 - Wojtek Hury
- Description updated

#3 - 2017-08-21 11:48 - Michat Komar
- Assignee set to Michat Komar

- Target version set to 0.3

- Developer Michat Komar added

- Tester Wojtek Hury added

#4 - 2017-08-21 12:19 - Michat Komar

- Status changed from Nowy to Testowanie

- Assignee changed from Michat Komar to Wojtek Hury
- % Done changed from 0 to 100
Dodatem mozliwo$¢ unsubscribe.
Poprawitem reconnect.

Uproscitem takze kod w broker service.

#5 - 2017-08-24 09:17 - Wojtek Hury
- Status changed from Testowanie to Rozwigzany
- Assignee changed from Wojtek Hury to Michat Komar
